;*******************************************************************
;**	PLAYER.SC 
;**
;**	Sierra Computer Network
;**	       Copyright 1990
;** 
;**		by Al Lowe and David Slayback
;**
;**	Last Update:	November 27, 1990
;**
;*******************************************************************


(module#		PLAYER)


(class Player of Object
	(properties
		id		name						0
		id		views						0
		int	userIDLow				0
		int	userIDHigh				0
	)

	(methods
		hide
		update
	)


	(method (update)
		(views eachElementDo: #update)
	)


	(method (handleMsg msg &tmp oldGame type oldName str ret retVal retAddr)
		(super handleMsg: msg)
		(switch (msg command?)
			(SN_OBJID
				(TSN TSN_SEND
					"w+"
					SN_SETUSERSID
					sid
					sid
				)
			)
		)
	)

	(method (hide)
		(if views
			(views
				eachElementDo: #dispose,
				release,
			)
		)
	)

	(method (dispose)
		(self hide:)
		(if views
			(views dispose:)
			(= views 0)
		)
		(super dispose:)
	)
)

